View Issue Details

IDProjectCategoryView StatusLast Update
0004320mantisbtemailpublic2005-06-07 10:02
ReporterOliverBee Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0004320: Email filtering
Description

1)
At present the user can only filter the emails based on the severity, but maybe it's more senseful to filter emails based on a user role (like the email filtering of Bugzilla). My colleagues are annoyed about so much email traffic of mantis and just move their emails to the trash directory. It would be nice that I only get mails for issues I am related to (reporter, assignee, monitorer). I don't want to get informed when another developer assignes an issues or resolves one (expect if I reported that issue).

2)
It would also be comfortable to configure if I will get emails about new issues which are not assigned to anybody.

3)
The third feature request I would like to have is the email filtering possibility for custom status and relationship changes. I added a custom status 'tested' between resolved and closed and it's not possible to disable the email notification for that status. Neither is it possible to reject relationship changes notifications.

Sorry, if it is configurable and I have overseen it.
Mantis is a great product :)

TagsNo tags attached.

Relationships

child of 0004416 closedthraxisp Roadmap - Move configurations to database 

Activities

thraxisp

thraxisp

2004-08-13 07:02

reporter   ~0006977

The first two are already possible at an installation level using the $g_notify_flags and $g_default_notify_flags. See the manual page at <http://manual.mantisbt.org/manual.configuration.email.php>.

OliverBee

OliverBee

2004-08-13 07:46

reporter   ~0006978

Are you sure that I can configure 1) and 2) ? I read the documentation (by the way your link doesn't work it is http://manual.mantisbt.org/manual.configuration.email.php) but I don't want to configure this for everybody but user independent.

For example I want to get all mails (after bugnote added, status change, etc.) for issues I am the handler of and for all issues I have reported, but I doesn'
t want to get mails I'm not related on.

My flags are set to following at the moment and this should be sufficient or not? How is the notifyFlag settings read, is it read the way that if one of the conditions in the array is true, I will get the mail?
$g_default_notify_flags = array('reporter' => ON,
'handler' => ON,
'monitor' => ON,
'bugnotes' => ON,
'threshold_min' => DEVELOPER,
'threshold_max' => NOBODY);

OliverBee

OliverBee

2004-08-13 08:00

reporter   ~0006980

Will I get all the Mails defined in default_notify_flags even if I put alle the flags off in my user settings?

thraxisp

thraxisp

2004-08-13 15:50

reporter   ~0006983

The $g*notify_flags are global for the installation. (There is a feature request to extens all configuration to a per project or maybe per bug basis).

If you wan people to only see bugs they are involved in, you could set
<pre>$g_default_notify_flags = array('reporter' => ON,
'handler' => ON,
'monitor' => ON,
'bugnotes' => ON,
'threshold_min' => NOBODY,
'threshold_max' => NOBODY);
</pre>

This would only send mails to people whe originated, were handling the bug, specifically requested monitoring, or added a bugnote.

This is overridden by the user's preferences (for example, where you don't want to see specific status changes).

thraxisp

thraxisp

2004-08-15 18:17

reporter   ~0006997

The individual settings should be part of the per project settings contemplated for 0.20.

naib

naib

2004-10-27 21:15

reporter   ~0008190

Last edited: 2004-10-27 21:17

I agree with this request - many users want to either turn off email for certain projects or turn off certain types of email - particularly with respect to the large increase in mail traffic since the Relationships feature was put in. If I add a relationship to a bug, users now get 2 more emails than they used to, per bug!

I consider this a high priority because I'm in danger of losing the very people who are interested in how our project is moving along.

edited on: 10-27-04 21:17

harpreet_singh

harpreet_singh

2004-10-29 13:26

reporter   ~0008208

Hi,

I am not able to open the given urls.

With Regards

Harpreet Singh

DGtlRift

DGtlRift

2004-10-30 08:33

reporter   ~0008212

Remove the ) or > at the end of the URL

OliverBee

OliverBee

2005-06-07 04:44

reporter   ~0010381

I think this bug is resolved now, plz close.

thraxisp

thraxisp

2005-06-07 10:02

reporter   ~0010390

I'm leaving it open to capture the request for user based filtering on a per project basis.

Issue History

Date Modified Username Field Change
2004-08-13 03:26 OliverBee New Issue
2004-08-13 07:02 thraxisp Note Added: 0006977
2004-08-13 07:46 OliverBee Note Added: 0006978
2004-08-13 08:00 OliverBee Note Added: 0006980
2004-08-13 15:26 minibbjd Sponsorship Added minibbjd: US$ 5
2004-08-13 15:26 minibbjd Sponsorship Total 0 => 5
2004-08-13 15:50 thraxisp Note Added: 0006983
2004-08-15 18:17 thraxisp Note Added: 0006997
2004-08-15 18:17 thraxisp Status new => acknowledged
2004-10-27 21:15 naib Note Added: 0008190
2004-10-27 21:17 naib Note Edited: 0008190
2004-10-29 13:26 harpreet_singh Note Added: 0008208
2004-10-30 08:33 DGtlRift Note Added: 0008212
2004-12-23 18:11 thraxisp Relationship added related to 0004416
2004-12-23 18:11 thraxisp Relationship deleted related to 0004416
2004-12-23 18:12 thraxisp Relationship added child of 0004416
2005-06-07 04:44 OliverBee Note Added: 0010381
2005-06-07 10:02 thraxisp Note Added: 0010390